<form class="form minisearch" action='<?= $block->getLocatorUrl(); ?>' method='post'>
    <fieldset class="fieldset">
        <input type="text" name="store_name" placeholder="<?= __('Current location'); ?>">
        <button type="submit"><?= __('Search') ?></button>
    </fieldset>
</form>
<?php
$storeCollection = $block->getStores();
foreach ($storeCollection as $store) { ?>
    <div class="store" data-lng="<?= $store->getLongitude(); ?>" data-lat="<?= $store->getLatitude(); ?>">
        <img src="<?= $block->getFirstImage($store->getImages()); ?>" alt="">
        <div class="store_name"><?= $store->getStoreName(); ?></div>
        <div class="store_city"><?= __('City: ') . $store->getCity(); ?></div>
        <div class="store_zip"><?= __('Zip: ') . $store->getZip(); ?></div>
        <div class="store_state"><?= __('State: ') . $store->getState(); ?></div>
        <div class="store_address"><?= __('Address: ') . $store->getAddress(); ?></div>
        <a href="<?= $block->getStoreUrl($store->getUrlKey()) ?>">Read More</a>
    </div>
    <?php
}

if ($block->getPagerHtml()) { ?>
    <div class="order-products-toolbar toolbar bottom"><?= $block->getPagerHtml(); ?></div>
<?php } ?>
